FROM openjdk:8-jre
# author
MAINTAINER Duke_yzl
# 指定时区
RUN ln -snf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo "Asia/Shanghai" > /etc/timezone
# 指定端口
EXPOSE 8090
ENV INIT "always"
# 复制jar文件到路径
ADD ruoyi-admin.jar /opt
RUN fc-cache -fv
# 启动网关服务
#ENTRYPOINT ["java","-Xms512m","-Xmx2048m","-jar","/opt/ruoyi-admin.jar","--minio.urlNetWork=https://10.10.232.2:19000"]
ENTRYPOINT ["java","-Xms512m","-Xmx2048m","-jar","/opt/ruoyi-admin.jar","--spring.profiles.active=prod"]
